org.apache.datasketches.pig.kll

## Class GetRank

- java.lang.Object
- - org.apache.pig.EvalFunc<Double>
  - - org.apache.datasketches.pig.kll.GetRank

    public class GetRank
    extends org.apache.pig.EvalFunc<Double>

This UDF is to get a normalized rank for a given value from a given sketch. A single rank for a given value is returned. The normalized rank is a double value from 0 to 1 inclusive. For example, the rank of 0.5 corresponds to 50th percentile, which is the median value of the distribution (the number separating the higher half of the probability distribution from the lower half).

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.pig.EvalFunc

`org.apache.pig.EvalFunc.SchemaType`

### Field Summary

### Fields inherited from class org.apache.pig.EvalFunc

`log, pigLogger, reporter, returnType`

### Constructor Summary

Constructors
Constructor and Description
`GetRank()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Double` `exec(org.apache.pig.data.Tuple input)`

### Methods inherited from class org.apache.pig.EvalFunc

`allowCompileTimeCalculation, finish, getArgToFuncMapping, getCacheFiles, getInputSchema, getLoadCaster, getLogger, getPigLogger, getReporter, getReturnType, getSchemaName, getSchemaType, getShipFiles, isAsynchronous, needEndOfAllInputProcessing, outputSchema, progress, setEndOfAllInput, setInputSchema, setPigLogger, setReporter, setUDFContextSignature, warn`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GetRank

    public GetRank()

### Method Detail

#### exec

    public Double exec(org.apache.pig.data.Tuple input)
                throws IOException

Specified by:
  `exec` in class `org.apache.pig.EvalFunc<Double>`
Throws:
  `IOException`